Bug 152519 - Wrong disk usage reported
Wrong disk usage reported
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 152563 152564 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 17:56 EST by Philippe Rigault
Modified: 2015-01-04 17:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 08:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logfile requested (6.49 KB, text/plain)
2005-03-30 08:58 EST, Philippe Rigault
no flags Details
Other logfile (6.64 KB, text/plain)
2005-03-30 09:05 EST, Philippe Rigault
no flags Details

  None (edit)
Description Philippe Rigault 2005-03-29 17:56:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; en_US, fr) KHTML/3.4.0 (like Gecko)

Description of problem:
The disk usage reported by 'df' is wrong when I plug a 250GB USB Hard Disk 
containing one fat32 partition. 
 
# fdisk -l /dev/ubb 
 
Disk /dev/ubb: 251.0 GB, 251000193024 bytes 
255 heads, 63 sectors/track, 30515 cylinders 
Units = cylinders of 16065 * 512 = 8225280 bytes 
 
   Device Boot      Start         End      Blocks   Id  System 
/dev/ubb1   *           1       30515   245111706    c  W95 FAT32 (LBA) 
 
# grep ubb /etc/fstab 
/dev/ubb1 /media/LACIE  vfat pamconsole,exec,noauto,iocharset=utf8,managed 0 0 
 
# df -kT /media/LACIE 
Filesystem    Type   1K-blocks      Used Available Use% Mounted on 
/dev/ubb1     vfat   245051840        64 245051776   1% /media/LACIE 
 
# du -sk /media/LACIE 
108795040       /media/LACIE 
 
The disk indeed contains ~110GB and should report ~50% use. Instead, it 
reports 1% use. 
 

Version-Release number of selected component (if applicable):
coreutils-5.2.1-31

How reproducible:
Always

Steps to Reproduce:
1.  
2. 
3. 
   

Additional info:
Comment 1 Tim Waugh 2005-03-30 03:57:19 EST
Please attach the logfile from 'strace 2>logfile df -sh /media/LACIE'.
Comment 2 Tim Waugh 2005-03-30 08:57:30 EST
*** Bug 152563 has been marked as a duplicate of this bug. ***
Comment 3 Tim Waugh 2005-03-30 08:57:58 EST
*** Bug 152564 has been marked as a duplicate of this bug. ***
Comment 4 Philippe Rigault 2005-03-30 08:58:53 EST
Created attachment 112450 [details]
Logfile requested
Comment 5 Tim Waugh 2005-03-30 08:59:56 EST
Sorry, meant this:

strace 2>logfile df -h /media/LACIE
Comment 6 Philippe Rigault 2005-03-30 09:05:21 EST
Created attachment 112452 [details]
Other logfile

Side note: the bug seems to have been entered several times when I submitted 
it (which I did once). This problem happened to me already in the past.
Comment 7 Tim Waugh 2005-03-30 09:35:50 EST
statfs("/media/LACIE", {f_type="MSDOS_SUPER_MAGIC", f_bsize=32768,
f_blocks=7657870, f_bfree=7657868, f_bavail=7657868, f_files=0, f_ffree=0,
f_fsid={0, 0}, f_namelen=260, f_frsize=32768}) = 0

This is showing that only two 32768-byte blocks are used, as reported by the kernel.

Reassigning to kernel.
Comment 8 Philippe Rigault 2005-03-30 09:54:41 EST
kernel version is 2.6.10-1.770_FC3   
(it happens also with a custom-config'ed kernel based on 2.6.10-1.741_FC3) 
 
Hardware is: 
  - Box:  Sun W1100z (x86_64 Opteron 148) 
  - Disk: LACIE 250GB USB2.0, factory formatted. 
Comment 9 Ole Stanstrup 2005-04-14 02:09:32 EDT
I have the same problem with FC3 kernel 2.6.11-1.14_FC3smp using a Maxtor 
OneTouch II 300GB drive.
Comment 10 Philippe Rigault 2005-07-11 09:40:30 EDT
Bug still present in kernel 2.6.11-1.35_FC3 
Comment 11 Dave Jones 2005-07-15 15:46:57 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 12 Philippe Rigault 2005-07-18 11:39:28 EDT
Update does not fix it.  
Bug still present in  kernel-2.6.12-1.1372_FC3.  
Comment 13 Dave Jones 2006-01-16 17:25:30 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 14 Philippe Rigault 2006-01-16 18:22:32 EST
Just checked FC5-test2 (released today -> installed today)  
  
Bug still present (kernel-2.6.15-1.1826.2.10_FC5)  
 
logfile still looks like: 
<snip>  
statfs("/LACIE", {f_type="MSDOS_SUPER_MAGIC", f_bsize=32768, 
 f_blocks=7657870, f_bfree=7657868, f_bavail=7657868, f_files=0, f_ffree=0, 
 f_fsid={0, 0}, f_namelen=260, f_frsize=32768}) = 0  
<snip>  
  
Comment 15 Philippe Rigault 2006-02-07 08:54:51 EST
I did a file system check on the partition using WinXP's checkdisk.  
  
Things have improved:  
 
<snip> 
statfs("/win", {f_type="MSDOS_SUPER_MAGIC", f_bsize=32768, f_blocks=7657870,  
f_bfree=6633663, f_bavail=6633663, f_files=0, f_ffree=0, f  
_fsid={0, 0}, f_namelen=260, f_frsize=32768}) = 0  
write(1, "/dev/sda1             234G   32G"..., 49) = 49  
<snip> 
 
Note: the disk now contains 32GB of data, so this is correct. 
 
Maybe the factory-created filesystem was faulty. In any case, I will do 
further copy/rm to the disk to see how things evolve before closing the bug. 
Comment 16 Dave Jones 2006-10-16 16:58:26 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 17 Philippe Rigault 2006-10-17 08:59:11 EDT
Since the filesystem check, I can't reproduce any problem.

Closing as NOTABUG, blaming the original filesystem state.

Note You need to log in before you can comment on or make changes to this bug.